bson_encode
MongoException
Mongo
PHP Manual

# Exceptions

## Table of Contents

- MongoException
- MongoResultException
- MongoCursorException
- MongoCursorTimeoutException
- MongoConnectionException
- MongoGridFSException

## VMWare Oddities

If you are running VMWare on Windows and are using CIFS, pausing the VM will cause CIFS to go out of sync and cause weird errors on un-pausing it ("The Mongo object has not been correctly initialized by its constructor"). Permanently mounting the Windows shares will fix this and you'll be able to pause and unpause at will.

To permanently mount the Windows shares, run:

    $ sudo update-rc.d -f umountnfs.sh remove
    $ sudo update-rc.d umountnfs.sh stop 15 0 6 .

See » the Ubuntu docs for the most up-to-date instructions.

bson_encode
MongoException
Mongo
PHP Manual